# BEGIN SourceDeps(oneline):
BuildRequires: perl(CORBA/C.pm) perl(CORBA/C/IncSkelVisitor.pm) perl(CORBA/C/SkeletonVisitor.pm) perl(CORBA/IDL.pm) perl(CORBA/IDL/RepositoryIdVisitor.pm) perl(CORBA/Perl.pm) perl(CORBA/Perl/CdrVisitor.pm) perl(CORBA/Perl/LiteralVisitor.pm) perl(CORBA/Perl/NameVisitor.pm) perl(Error.pm) perl(ExtUtils/MakeMaker.pm) perl(Pod/Usage.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Unit/TestCase.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.63
%define module_name CORBA-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.63
Release: alt2.1
Summary: IDL compiler to extension interface between Perl and C code
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PE/PERRAD/%{module_name}-%{module_version}.tar.gz

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.63-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.63-alt2
- rebuild to get rid of unmets

* Sat May 03 2014 Igor Vlasenko <viy@altlinux.ru> 0.63-alt1
- initial import by package builder

